{% extends "base.html.twig" %}

{% block title %}Card List{% endblock %}
{% block content %}
    <h2>Cards list</h2>

    {#TODO: move search to template#}
    <div class="search">
        <div id="search-box">

        <span>Number: </span><input id="card_number" placeholder="Number">
        <span>Series nr: </span><input id="card_series" placeholder="Series Nr.">
        <span>Balance: </span>
        <select id="balance-comparison-selector">
            <option value="gt">Greater than</option>
            <option value="lt">Lesser than</option>
            <option value="eq">Equals</option>
        </select>
        <input id="balance" placeholder="Balance">
        <span>Expiration date: </span>
        <select id="expiration-date-comparison-selector">
            <option value="gt">Greater than</option>
            <option value="lt">Lesser than</option>
            <option value="eq">Equals</option>
        </select>
        <input id="expiration-date-search-input" type="date">
        <span>Last used date: </span>
        <select id="last-used-date-comparison-selector">
            <option value="gt">Greater than</option>
            <option value="lt">Lesser than</option>
            <option value="eq">Equals</option>
        </select>
        <input id="last-used-date-search-input" type="date">
        <span>Status: </span>
        <select id="search-select">
            <option value="any">Any</option>
            <option value="active">Active</option>
            <option value="not active">Not Active</option>
            <option value="expired">Expired</option>
        </select>

            <button id="search-button">Search</button>
        </div>
    </div>
    <a href="{{ path('create_card') }}" class="button">Create New Card</a>
    <a href="{{ path('delete_all_cards') }}" class="button">Delete All Cards(without purchases)</a>
    {% include "cards_table.twig" %}
{% endblock %}
{% block javascripts %}
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="{{ asset('scripts.js') }}"></script>

{% endblock %}